# popupswitcher

Popup tasklist switcher for awesomewm

## Usage
`require` the library:

```
local switcherpopup = require("switcherpopup")
```

Add one for each screen:

```
  local tasklist = switcherpopup.new(s)
```

Add some buttons to show and hide it:

```
  switcher_button:buttons(gears.table.join(
    switcher_button:buttons(),
    awful.button({}, 1, nil, function()
      tasklist:toggle()
    end)
  ))
```

## Configuration

```
switcherpopup.iconSize = 128,
switcherpopup.systraySize = 64,
switcherpopup.buttonSize = 96,
switcherpopup.spacing = 5,
switcherpopup.defaultLayout = awful.layout.suit.max,
switcherpopup.iconPath = gears.filesystem.get_configuration_dir() .. "/switcherpopup/"
```
